> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Grants Without Trading Plans

> Lists the caller's grants that have no trading plan yet.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/get-all-grants-without-trading-plans
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-all-grants-without-trading-plans:
    post:
      operationId: getAllGrantsWithoutTradingPlans
      summary: Get All Grants Without Trading Plans
      description: |-
        Lists the caller's grants that have no trading plan yet.

        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetAllGrantsWithoutTradingPlansRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAllGrantsWithoutTradingPlansResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetAllGrantsWithoutTradingPlansRequest: {}
    GetAllGrantsWithoutTradingPlansResponse:
      type: array
      items:
        type: object
        properties:
          grantID:
            type: string
          grantName:
            type: string
          totalTokens:
            type: string
            pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
          unlockSchedule:
            type: string
          firstUnlockEvent:
            type: string
        required:
          - grantID
          - grantName
          - totalTokens
          - unlockSchedule
          - firstUnlockEvent
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
